View Issue Details

IDProjectCategoryView StatusLast Update
0030666RunnerHTML5Public2019-05-10 13:11
ReporterScott DunbarAssigned ToLuke Brown 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.2 
Target VersionFixed in Version 
Summary0030666: HTML5: Held down keys are not cleared when switching tabs and returning to the game
DescriptionIssue:
 If you hold down a key and switch to a different browser tab, release the key, then switch back to the game project the game thinks the key is still being pressed

Expected:
 when focus to the tab is lost, the key press should be released
Steps To Reproduce1. Import attached project
2. Run project for html5
3. press spacebar
4. create a new browser tab
5. release spacebar
6. switch back to game
7. observe that the keypress text is still being displayed
Tagshtml5, Runner
1.4 Found In
2.x Runtime Found In
2.x Runtime Verified In9.9.1.1436

Activities

Scott Dunbar

2019-04-02 12:13

Adminstrator  

HTMLkeyTabSwitching.yyz (19,811 bytes)

Luke Brown

2019-04-04 11:53

Developer   ~0063585

fixed in gitlab - tested in IE (32bit/64bit), Firefox (32bit/64bit), Edge, and Chrome (32bit) - it might be worth testing on older versions of browsers if this is possible as the fix may have some side effects on older browser versions. (particularly firefox as a number of changes were made to the same code for this issue: https://bugs.yoyogames.com/view.php?id=29852 )